package com.hungraim.ltc.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.hungraim.ism.pojo.vo.disable.DisableEvaluateInfoVO;
import com.hungraim.ism.pojo.vo.disable.DisableEvaluateVO;
import com.hungraim.ltc.pojo.entity.eval.ChAprTask;
import com.hungraim.ltc.pojo.vo.assessment.TaskDistributionVO;
import org.springframework.stereotype.Service;

/**
 * 失能评定Service
 *
 * @author czz
 */
@Service
public interface TaskService {

    /**
     * 评定任务分配列表
     *
     * @param organId               适用机构代码
     * @param isIncludeSubsidiaries 是否包含子机构 0包含,1不包含
     * @param provincial            所在省
     * @param city                  所在市
     * @param area                  所在区域
     * @param street                所在街道
     * @param realName              失能人员姓名
     * @param certiCode             失能人员身份证号码
     * @param taskName              评定人员姓名
     * @param taskTel               评定人员手机号码
     * @param daysRemaining         评定剩余天数
     * @param status                任务状态
     * @param isReturn              是否退回
     * @param pageNum               当前页
     * @param pageSize              每页几条数据
     */
    IPage<TaskDistributionVO> taskDistributionList(String organId, String isIncludeSubsidiaries, String provincial, String city,
                                                   String street, String realName, String certiCode, String taskName, String taskTel,
                                                   String daysRemaining, String status, String isReturn, String area,
                                                   int pageNum, int pageSize);

    /**
     * 失能评定详情
     *
     * @param evaluateId 评定id
     * @return 失能评定详情
     */
    DisableEvaluateInfoVO disableEvaluateInfo(String evaluateId);

    void addEvaluate(ChAprTask disableEvaluate);

    void disableEvaluate(String applyId, String checkName, Short applyStatus, String checkRemark);
}
